Bug 458952 - Review Request: sems - an extensible SIP media server
Review Request: sems - an extensible SIP media server
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan ONDREJ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-13 09:45 EDT by Peter Lemenkov
Modified: 2015-03-31 21:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: sems-1.4.3-12.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 14:04:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ondrejj: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2008-08-13 09:45:54 EDT
Spec URL: http://peter.fedorapeople.org/sems.spec
SRPM URL: http://peter.fedorapeople.org/sems-1.0.0-0.1.svn.fc9.src.rpm
Description: Sems (SIP Express Media Server) is very extensible and programmable
SIP media server for Ser (SIP Express Media Server, http://www.iptel.org/ser).
The plug-in based Sdk enables you to extend Sems and write your own applications
and integrate new codec. Voicemail, announcement and echo plug-ins are already included. 
Sems supports g711u, g711a, GSM06.10 and wav file.


Still WiP, though. I'll split this package into subpackages (to avoid additional dependencies) and made some other changes.
Comment 1 Peter Lemenkov 2008-08-14 08:18:45 EDT
New revision:

http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.0.0-0.2.svn.fc9.src.rpm

More modularization (to avoid excessive dependencies), more cleanups.
Comment 2 Peter Lemenkov 2008-08-14 16:15:09 EDT
New rev.:

http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.0.0-0.3.svn.fc9.src.rpm

Since iLBC isn\t acceptable for Fedora, I decided to use conditional switch "with_ilbc".
Comment 3 Peter Lemenkov 2008-08-14 16:23:03 EDT
Hmmmm, something weird with fedorapeople.org (I could achieve only 2-3 kbytes/s using sshfs), so srpm still doesn't uploaded. 

Nevertheless, only spec-file changed since last revision.
Comment 4 Peter Lemenkov 2008-08-21 04:35:18 EDT
new rev.:

http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.0.0-0.5.svn.fc9.src.rpm

%changelog
* Thu Aug 21 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.5.svn
- Dropped upstreamed sems--initscript_fix.diff
- Installation of some audiofiles was fixed upstream

* Tue Aug 19 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.4.svn
- Splitted ivr module
- Fixed some rpmlint errors

* Thu Aug 14 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.3.svn
- Conditional switch "with_ilbc"
Comment 5 Jan ONDREJ 2008-09-20 02:28:45 EDT
- MUST: rpmlint must be run on every package.
[ondrejj@builder tmp]$ rpmlint sems-1.0.0-0.5.svn.fc9.src.rpm 
sems.src:295: E: files-attr-not-set
sems.src:296: E: files-attr-not-set
sems.src:297: E: files-attr-not-set
sems.src:298: E: files-attr-not-set
sems.src:299: E: files-attr-not-set
sems.src: W: mixed-use-of-spaces-and-tabs (spaces: line 15, tab: line 1)
1 packages and 0 specfiles checked; 5 errors, 1 warnings.

- SHOULD: The package should compile and build into binary rpms on all supported architectures.
Package does not build on devel.x86_64!
Part of error:
Error: Installed (but unpackaged) file(s) found:
   /usr/lib/sems/audio/annrecorder/beep.wav
RPM build errors:
    File not found: /var/tmp/sems-1.0.0-0.5.svn.fc9-root-mockbuild/usr/lib64/sems/audio
    File not found: /var/tmp/sems-1.0.0-0.5.svn.fc9-root-mockbuild/usr/lib64/sems/audio/ann_b2b
    File not found: /var/tmp/sems-1.0.0-0.5.svn.fc9-root-mockbuild/usr/lib64/sems/audio/announcement

- MUST: A package must own all directories that it creates.
Directories without ownership:
%config(noreplace) %{_sysconfdir}/sems/etc/
%{_libdir}/sems/audio/annrecorder/
%{_libdir}/sems/audio/conference/
%{_libdir}/sems/audio/voicebox/
%{_libdir}/sems/audio/voicemail/
%{_libdir}/sems/audio/webconference/

%{_libdir}/sems/audio/mailbox/
%{_libdir}/sems/ivr/imap_mailbox/

%{_libdir}/sems/audio/pincollect/

- Not in packaging guidelines, only mi opinion:
I think a "." at end of sentences in description (not summary) is nice.
Also please update summary to at least for example "SEMS mailbox module".
Same problem for description.

I still do not assing this package to me. My current free time is limited, so I leave this package to anyone, but if still no review I will check it again. :)
Comment 6 Peter Lemenkov 2008-09-28 12:54:10 EDT
Some issues already fixed, while others - not. I'll try to fix nasty bug with not installed files ASAP.

BTW new svn snapshot:

http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.0.0-0.6.svn1095.fc9.src.rpm
Comment 7 Peter Lemenkov 2008-10-17 07:03:00 EDT
New version:

http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.0.0-0.7.svn1095.src.rpm

%changelog
* Fri Oct 17 2008 Peter Lemenkov <lemenkov@gmail.com> 1.0.0-0.7.svn1095
- Fixed installation of audio files
Comment 8 Jan ONDREJ 2008-10-17 15:37:57 EDT
[ondrejj@builder tmp]$ rpmlint sems-1.0.0-0.7.svn1095.src.rpm 
sems.src: W: mixed-use-of-spaces-and-tabs (spaces: line 116, tab: line 1)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Also other problems describe in this bug are still present.
Please, tell me, when this package will be ready for next review.
Comment 9 Peter Lemenkov 2008-12-08 15:39:55 EST
I think, I fixed all issues.

http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.0.0-0.9.svn1160.fc10.src.rpm

Koji scratchbuild:

http://koji.fedoraproject.org/koji/taskinfo?taskID=987891

rpmlint still not silent:

[petro@Sulaco ppc]$ rpmlint sems-*
sems-conf_auth.ppc: E: zero-length /etc/sems/etc/conf_auth.conf
sems-conf_auth.ppc: E: only-non-binary-in-usr-lib
sems-gsm.ppc: W: no-documentation
sems-mailbox.ppc: E: only-non-binary-in-usr-lib
sems-pin_collect.ppc: E: only-non-binary-in-usr-lib
sems-speex.ppc: W: no-documentation
8 packages and 0 specfiles checked; 4 errors, 2 warnings.
[petro@Sulaco ppc]$

I think that these messages may be ignored.
Comment 11 Jan ONDREJ 2009-02-18 07:33:57 EST
%dir %{_sysconfdir}/sems    is added 2 times

Why there is no /usr/lib/sems/ivr/conf_auth.py, only an compiled pyc file?

Is it possible to build this package for ser too? (not only for openser).
At least an conditional flag can be useful for other people.
Comment 12 Jason Tibbitts 2009-03-24 22:18:40 EDT
It's been over a month with no response.
Comment 13 Peter Lemenkov 2009-03-27 05:43:04 EDT
I'll try to investigate issue with python modules anon. There is one more issue - incorrectly installed dsm modules - I'll try to fix it too. It takes me a couple of days.
Comment 14 Peter Lemenkov 2009-04-07 07:33:51 EDT
Ver. 1.1.0-2

http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.1.0-2.fc10.src.rpm

* OpenSER specific code is disabled (It's no longer necessary since OpenSER can control SEMS via SIP-headers).
* Fixed installation of DSM-plugin

The issue with python still not resolved. I'll try to fix ASAP.
Comment 15 Peter Lemenkov 2009-04-07 07:34:24 EDT
Koji scratchbuild:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1282233
Comment 16 Peter Lemenkov 2009-04-08 01:28:08 EDT
Fixed installation of python files.

http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.1.0-3.fc10.src.rpm
Comment 17 Peter Lemenkov 2009-04-08 01:35:42 EDT
Koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=1284465
Comment 18 Jan ONDREJ 2009-04-08 02:17:39 EDT
My review is still not complete, but rpmlint shows these errors/warnings.
At least problems with my comments should be fixed.

sems-conf_auth.i386: W: only-non-binary-in-usr-lib
sems-conf_auth.i386: E: zero-length /etc/sems/etc/conf_auth.conf

- try to add at least some comments to this file. An link to documentation can be useful for users.

sems-gateway.i386: W: no-documentation
sems-gsm.i386: W: no-documentation
sems-ivr.i386: E: script-without-shebang /usr/lib/sems/plug-in/log.py

- please, consider, if this file should be executed directly or only included from other python script. For first situation add shebang, for second remove execute flag from this script.

sems-mailbox.i386: W: only-non-binary-in-usr-lib
sems-pin_collect.i386: W: only-non-binary-in-usr-lib
sems-python.i386: E: script-without-shebang /usr/lib/sems/plug-in/py_sems_log.py

- same problem as above.

sems-speex.i386: W: no-documentation
sems.src: W: mixed-use-of-spaces-and-tabs (spaces: line 173, tab: line 1)

- fix this

sems.src: W: patch-not-applied Patch0: sems--openser_enable.diff

- I think you can remove this patch, but if you need it for possible further usage, it's only a warning.
Which version of openser is needed to use sems without this patch? Current fedora package is enough?

12 packages and 0 specfiles checked; 3 errors, 8 warnings.
Comment 19 Peter Lemenkov 2009-04-09 05:40:54 EDT
http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.1.0-4.fc10.src.rpm

%changelog
* Thu Apr  9 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1.0-4
- Internally shipped xmlrpc++ now uses system optflags
- Added more docs
- Moved audiofiles from libdir to datadir
- Removed empty conf_auth.conf
- Splitted out g722 module
- Splitted out xmlrpc2di module

Koji scratchbuild:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1286792

rpmlint messages:

sems-conf_auth.ppc: E: only-non-binary-in-usr-lib
sems-gateway.ppc: W: no-documentation
sems-gsm.ppc: W: no-documentation
sems-mailbox.ppc: E: only-non-binary-in-usr-lib
sems-pin_collect.ppc: E: only-non-binary-in-usr-lib
sems-speex.ppc: W: no-documentation

These messages means simply that not all of sems plugins are documented and that some of sems plugins contains only python code. I think that all these messages may be ignored.
Comment 20 Peter Lemenkov 2009-04-09 06:11:27 EDT
Koji scratchbuild for EPEL:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1286797
Comment 21 Peter Lemenkov 2009-04-10 06:34:16 EDT
Ver. 1.1.0-5 (iLBC source code removed from the main tarball)

http://peter.fedorapeople.org/sems.spec
http://peter.fedorapeople.org/sems-1.1.0-5.fc10.src.rpm
Comment 22 Jan ONDREJ 2009-04-10 06:47:50 EDT
Well, license issues have been fixed. I see no more license problems for this package.

Also no other problems. Attaching rpmlint output with only some warning, which can be ignored.

[ondrejj@builder result]$ rpmlint *.rpm
sems-conf_auth.i386: W: only-non-binary-in-usr-lib
sems-gateway.i386: W: no-documentation
sems-gsm.i386: W: no-documentation
sems-mailbox.i386: W: only-non-binary-in-usr-lib
sems-pin_collect.i386: W: only-non-binary-in-usr-lib
sems-speex.i386: W: no-documentation
14 packages and 0 specfiles checked; 0 errors, 6 warnings.

APPROVED.
Comment 23 Peter Lemenkov 2009-04-10 06:58:54 EDT
New Package CVS Request
=======================
Package Name: sems
Short Description: SIP Express Media Server, an extensible SIP media server
Owners: peter ondrejj
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:
Comment 24 Kevin Fenzi 2009-04-10 18:07:48 EDT
cvs done.
Comment 25 Fedora Update System 2009-04-11 00:03:14 EDT
sems-1.1.0-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/sems-1.1.0-5.fc9
Comment 26 Fedora Update System 2009-04-11 00:03:19 EDT
sems-1.1.0-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/sems-1.1.0-5.fc10
Comment 27 Fedora Update System 2009-04-13 15:39:38 EDT
sems-1.1.0-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sems'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3560
Comment 28 Fedora Update System 2009-04-13 15:40:41 EDT
sems-1.1.0-5.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update sems'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3568
Comment 29 Fedora Update System 2009-04-17 14:03:57 EDT
sems-1.1.0-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2009-04-17 14:04:09 EDT
sems-1.1.0-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Peter Lemenkov 2015-03-09 03:19:23 EDT
Package Change Request
======================
Package Name: sems
New Branches: epel7
Comment 32 Peter Lemenkov 2015-03-10 10:07:58 EDT
Package Change Request
======================
Package Name: sems
New Branches: epel7
Owners: peter ondrejj
Comment 33 Gwyn Ciesla 2015-03-10 11:17:36 EDT
Git done (by process-git-requests).
Comment 34 Fedora Update System 2015-03-13 09:54:18 EDT
sems-1.4.3-12.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/sems-1.4.3-12.el7
Comment 35 Fedora Update System 2015-03-31 21:55:55 EDT
sems-1.4.3-12.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.